package mv3302;

import simkit.Entity;
import simkit.random.RandomVariate;

/**
 * Instantiates an <code>Entity</code> at each Arrival event and schedules an
 * Arrival event with that as its argument
 *
 * @author ahbuss
 */
public class EntityArrivalProcess extends ArrivalProcess {

    /**
     * Zero-argument constructor
     */
    public EntityArrivalProcess() {
        super();
    }

    /**
     * Instantiate an <code>EntityArrivalProcess</code> with the given
     * <code>interarrivalTimeGenerator</code>
     *
     * @param interarrivalTimeGenerator Given
     * <code>interarrivalTimeGenerator</code>
     */
    public EntityArrivalProcess(RandomVariate interarrivalTimeGenerator) {
        super(interarrivalTimeGenerator);
    }

    /**
     * Schedule Arrival(Entity) with a new instance of <code>Entity</code><br>
     */
    @Override
    public void doArrival() {
        super.doArrival();
        var entity = new Entity();
        waitDelay("Arrival", 0.0, entity);
    }

    /**
     * Does nothing, since this is only to be "heard"
     *
     * @param entity Given Entity
     */
    public void doArrival(Entity entity) {
    }

}
